---
title: Provisioning Endpoints (2022/06)
slug: develop/provisioning-endpoints-202206
docTags: 
createdAt: 2025-03-11T07:03:30.743Z
---

The Provisioning resources allow users to setup players or change player setups. 

Base URL for this endpoint:  ***https\://api.bsn.cloud/2022/06/REST/Provisioning***

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## POST /Setups/Tokens/

Issues a token which allows you to register players in the current network

**Required Scope Token**

bsn.api.main.devices.setups.token.create

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- A [Token Info Entity](docId\:RMBciR76z7OjsYJB_U2pP)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

```text
POST /2022/06/REST/Provisioning/Setups/Tokens/ HTTP/1.1 
Host: api.bsn.cloud 
Connection: Keep-Alive 
Authorization: Bearer {{UserAccessToken}} 
Accept: application/json, application/vnd.bsn.error+json 
Accept-Encoding: gzip,deflate 
```

There is no request body since the required information is passed in the URL.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">200</font>: A setup token has been issued for players on the specified network

**Example**

```json
{
   "token": {{token}},
   "scope": "cert",
   "validFrom": "2024-05-21T00:00:00Z",
   "validTo": "2024-11-17T00:00:00Z"
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: Either the request or request body is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Setups/Tokens/\{token}/

Validates a player setup token on the current network and retrieves its metadata

**Required Scope Token**

bsn.api.main.devices.setups.token.validate

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `token` <font color="#704ae0">string: </font>An OAuth2 token for player registration in the current network

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `token` is set to `{{Token}}`

```text
GET /2022/06/REST/Provisioning/Setups/Tokens/{{Token}}/ HTTP/1.1 
Host: api.bsn.cloud 
Connection: Keep-Alive 
Authorization: Bearer {{UserAccessToken}} 
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate 
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">200</font>: Returns a [Token Info Entity](docId\:RMBciR76z7OjsYJB_U2pP)&#x20;

**Example**

```json
{
   "token": {{token}},
   "scope": "cert",
   "validFrom": "2024-05-16T16:36:04.000Z",
   "validTo": "2026-05-16T16:36:04.000Z"
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the token is expired or invalid)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /Setups/Tokens/\{token}/

Revokes a player setup token on the current network

**Required Scope Token**

bsn.api.main.devices.setups.token.revoke

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `token` <font color="#704ae0">string: </font>An OAuth2 token for player registration in the current network

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `token` is set to `{{Token}}`

```text
DELETE /2022/06/REST/Provisioning/Setups/Tokens/{{Token}}/ HTTP/1.1
Host: api.bsn.cloud 
Connection: Keep-Alive 
Authorization: Bearer {{UserAccessToken}} 
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">204</font>: The player setup token has been revoked

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the token is expired or invalid)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">500</font>: Any 500 code is an internal server error
